- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Core
- Attribute
- Qt 6.7.2 Reference Documentation

# Attribute QML Type

Defines an attribute and how data should be read from a Buffer. More...

Import Statement: | import Qt3D.Core 2.7

- List of all members, including inherited members

## Detailed Description

There are 3 types of attributes.

- VertexAttribute: used to define data to be read on a per vertex basis
- IndexAttribute: used to define vertex indices when indexed draw calls are to be used
- DrawIndirectAttribute: used to specify the DrawIndirect buffer to be used when indirect draw calls are to be used

Note: when an attribute is of type DrawIndirectAttribute, only count, stride and offset are relevant.

When providing your own attributes, it may make sense to name your attribute using helpers such as QAttribute::defaultPositionAttributeName() as that will ensure your geometry will be compatible with picking and the various materials provided in the Qt3DExtras module.